Agent API Endpoint の Thread をリストする
認証された API token 呼び出し元によって作成された Thread を返します。
GET
/agents/{agentId}/threads認証された API token 呼び出し元によって作成された Thread を返します。
Authorization
publicApiBearer AuthorizationBearer <token>
Authorization: Bearer mst_... を使用します。 API token はアカウントを識別しますが、スコープは持ちません。
In: header
Path Parameters
agentId*string
Agent の API アクセス パネルからの Agent API Endpoint ID。 v1 ID は裸の ULID です。
Match
^[0-7][0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{25}$Format
ulidQuery Parameters
archived?boolean
archive state で絞り込みます。true は archive 済み Thread のみ、false は active Thread のみを返します。すべて返す場合は省略します。
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/agents/01J00000000000000000000001/threads"{ "threads": [ { "agent_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV", "created_at": "2019-08-24T14:15:22Z", "id": "01ARZ3NDEKTSV4RRFFQ69G5FAV", "kind": "pet", "last_run_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV", "source": "api", "status": "IDLE", "title": "string", "updated_at": "2019-08-24T14:15:22Z", "userId": "string" } ]}{ "error": { "code": "agent_not_published", "message": "string" }}{ "error": { "code": "agent_not_published", "message": "string" }}{ "error": { "code": "agent_not_published", "message": "string" }}{ "error": { "code": "agent_not_published", "message": "string" }}{ "error": { "code": "agent_not_published", "message": "string" }}{ "error": { "code": "agent_not_published", "message": "string" }}{ "error": { "code": "agent_not_published", "message": "string" }}